Skip to main content
POST
Save Bloomerang transaction setup

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

connection_id
integer
required

Connection id in the current organization.

Body

application/json

Validated request fields for this operation.

source_of_truth
enum<string> | null

Source of truth. Validation: nullable; allowed values: provider, hys, bidirectional.

Available options:
provider,
hys,
bidirectional,
null
Example:

"provider"

donation_fallback_enabled
boolean | null

Donation fallback enabled. Validation: nullable, boolean.

Example:

true

donation_fallback_program_id
integer | null

Donation fallback program id. Validation: nullable, integer.

Example:

1

donation_fallback_designation_id
integer | null

Donation fallback designation id. Validation: nullable, integer.

Example:

1

donation_soft_credits_enabled
boolean | null

Donation soft credits enabled. Validation: nullable, boolean.

Example:

true

donation_acknowledgements_enabled
boolean | null

Donation acknowledgements enabled. Validation: nullable, boolean.

Example:

true

mapped_fields
object[] | null

Mapped fields. Validation: nullable, array.

Response

Operation result.

status
string
Example:

"success"

data
object

Group disable returns mapping=null. Interaction setup returns mapping as first newly approved version (or null), plus the complete mappings array. Other saves return mapping only.

message
string

Operation receipt.

Example:

"Example"